package jd

import (
	"git.rosy.net.cn/baseapi/platformapi/jdapi"
)

func OnOrderMsg(msg *jdapi.CallbackOrderMsg, a *jdapi.API) (retVal *jdapi.CallbackResponse) {
	if CurPurchaseHandler != nil {
		retVal = CurPurchaseHandler.OnOrderMsg(a, msg)
	}
	return retVal
}

func OnWaybillMsg(msg *jdapi.CallbackDeliveryStatusMsg) (retVal *jdapi.CallbackResponse) {
	if CurPurchaseHandler != nil {
		retVal = CurPurchaseHandler.OnWaybillMsg(AppKey2OrgCode(msg.AppKey), msg)
	}
	return retVal
}

func OnStoreMsg(msg *jdapi.CallbackOrderMsg) (retVal *jdapi.CallbackResponse) {
	if CurPurchaseHandler != nil {
		retVal = CurPurchaseHandler.OnStoreMsg(AppKey2OrgCode(msg.AppKey), msg)
	}
	return retVal
}

func OnOrderInfoChangeMsg(msg *jdapi.CallbackOrderInfoChangeMsg) (retVal *jdapi.CallbackResponse) {
	if CurPurchaseHandler != nil {
		retVal = CurPurchaseHandler.OnOrderInfoChangeMsg(AppKey2OrgCode(msg.AppKey), msg)
	}
	return retVal
}
